Package org.apache.groovy.json.internal

## Class JsonStringDecoder

- java.lang.Object
- - org.apache.groovy.json.internal.JsonStringDecoder

-     public class JsonStringDecoder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonStringDecoder()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `decode​(char[] chars, int start, int to)` |
    `static String` | `decodeForSure​(char[] chars, int start, int to)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonStringDecoder

          public JsonStringDecoder()

  - ### Method Detail

    - #### decode

          public static String decode​(char[] chars,
                                      int start,
                                      int to)

    - #### decodeForSure

          public static String decodeForSure​(char[] chars,
                                             int start,
                                             int to)